## 2025-10-03-14-52-43-cgal-v5.6.2.zip

=== CMakeLists.txt ===
# Top level CMakeLists.txt for CGAL-branchbuild

# Minimal version of CMake:
cmake_minimum_required(VERSION 3.1...3.23)

message("== CMake setup ==")
project(CGAL CXX C)
export(PACKAGE CGAL)

set(CGAL_BRANCH_BUILD
    ON
    CACHE INTERNAL "Create CGAL from a Git branch" FORCE)

include(${CMAKE_CURRENT_SOURCE_DIR}/CGALConfigVersion.cmake)
include(${CMAKE_CURRENT_SOURCE_DIR}/Installation/cmake/modules/CGAL_SCM.cmake)
include(${CMAKE_CURRENT_SOURCE_DIR}/Installation/cmake/modules/CGAL_enable_end_of_configuration_hook.cmake)
cgal_detect_git(${CMAKE_CURRENT_SOURCE_DIR})

function(CGAL_error_if_detect_in_source_build)
  # If in a Git repository, forbid in-source builds
  get_filename_component(srcdir "${CMAKE_CURRENT_SOURCE_DIR}" REALPATH)
  get_filename_component(bindir "${CMAKE_CURRENT_BINARY_DIR}" REALPATH)
  if("${srcdir}" STREQUAL "${bindir}")
    message(
      FATAL_ERROR
        [=[
############
Since CGAL-4.12.1, you can no longer configure an in-source build in a Git
repository. See this StackOverlow question and answers for a way to create
a separate build directory:
  https://stackoverflow.com/q/45518317/1728537
############
]=])
  endif()
endfunction()

if("${CGAL_SCM_NAME}" STREQUAL "git")
  cgal_error_if_detect_in_source_build()
endif()

# add option for duplicate file detection
option(
  CGAL_REPORT_DUPLICATE_FILES
  "Switch on to start (naive) detection of duplicate source- and headerfiles in packages"
  OFF)

message("== CMake setup (DONE) ==\n")

# Enable testing with BUILD_TESTING
option(BUILD_TESTING "Build the testing tree." OFF)
if(BUILD_TESTING AND NOT POLICY CMP0064)
  message(
    FATAL_ERROR "CGAL support of CTest requires CMake version 3.4 or later.
The variable BUILD_TESTING must be set of OFF.")
endif()
if(BUILD_TESTING)
  enable_testing()
endif()

#setup prefix path
file(GLOB BOOST_DIRS "C:/Program Files/boost/*")
if(NOT BOOST_DIRS)
  file(GLOB BOOST_DIRS "C:/Program Files/boost*")
endif()
if(NOT BOOST_DIRS)
  file(GLOB BOOST_DIRS "C:/Program Files (x86)/boost/*")
endif()
if(NOT BOOST_DIRS)
  file(GLOB BOOST_DIRS "C:/Program Files (x86)/boost*")
endif()
if(NOT BOOST_DIRS)
  file(GLOB BOOST_DIRS "C:/local/boost*")
endif()
if(BOOST_DIRS)
  list(GET BOOST_DIRS 0 boost_dir)
  list(APPEND CMAKE_PREFIX_PATH "${boost_dir}")
endif()#BOOST_DIRS

file(GLOB QT_DIRS "C:/Qt/5")
if(QT_DIRS)
  list(GET QT_DIRS 0 qt_dir)
  file(GLOB COMPS "${qt_dir}/msvc*")
  if(COMPS)
    list(GET COMPS 0 COMP)
    list(APPEND CMAKE_PREFIX_PATH "${COMP}")
  endif()#COMPS
endif()#QT_DIRS


# and finally start actual build
add_subdirectory(Installation)
add_subdirectory(Documentation/doc)

if(NOT TARGET uninstall)
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

  add_custom_target(
    uninstall COMMAND ${CMAKE_COMMAND} -P
                      ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== Documentation/doc/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(Documentation NONE)

# Minimal version of CMake:

# Check whether this cmake script is the top level one
if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_CURRENT_SOURCE_DIR})
  # decide if this is a branch build
  if(NOT EXISTS "${CMAKE_SOURCE_DIR}/../VERSION")
    set(CGAL_BRANCH_BUILD
        ON
        CACHE INTERNAL "CGAL Branch build")
  endif()

  if(CGAL_BRANCH_BUILD)
    set(CGAL_ROOT "${CMAKE_SOURCE_DIR}/../..")
  else()
    set(CGAL_ROOT "${CMAKE_SOURCE_DIR}/..")
  endif()
  get_filename_component(CGAL_ROOT ${CGAL_ROOT} REALPATH)
else()
  option(BUILD_DOC "Build the doxygen documentation" OFF)
  if(NOT BUILD_DOC)
    return()
  endif()
  set(CGAL_ROOT "${CMAKE_SOURCE_DIR}")
endif()

find_package(Doxygen REQUIRED)
find_package(Python3 REQUIRED COMPONENTS Interpreter)

#starting from cmake 3.9 the usage of DOXYGEN_EXECUTABLE is deprecated
if(TARGET Doxygen::doxygen)
  get_property(
    DOXYGEN_EXECUTABLE
    TARGET Doxygen::doxygen
    PROPERTY IMPORTED_LOCATION)
endif()

# Visual Studio users might appreciate this
# set_property(GLOBAL PROPERTY USE_FOLDERS ON)

macro(subdirlist result curdir)
  file(
    GLOB children
    RELATIVE ${curdir}
    ${curdir}/*)
  set(dirlist "")
  foreach(child ${children})
    if(IS_DIRECTORY ${curdir}/${child})
      set(dirlist ${dirlist} ${child})
    endif()
  endforeach()
  set(${result} ${dirlist})
endmacro()

function(configure_doxygen_package CGAL_PACKAGE_NAME)
  if(CGAL_BRANCH_BUILD)
    set(CGAL_PACKAGE_DIR ${CGAL_ROOT}/${CGAL_PACKAGE_NAME})
  else()
    set(CGAL_PACKAGE_DIR ${CGAL_ROOT})
  endif()

  set(CGAL_PACKAGE_DOC_DIR ${CGAL_PACKAGE_DIR}/doc/${CGAL_PACKAGE_NAME})
  set(CGAL_PACKAGE_INCLUDE_DIR ${CGAL_PACKAGE_DIR}/include/)

  if(NOT EXISTS ${CGAL_PACKAGE_DOC_DIR}/Doxyfile.in)
    return()
  endif()

  set(CGAL_DOC_PACKAGE_DEFAULTS
      ${CGAL_DOC_DXY_DIR}/${CGAL_PACKAGE_NAME}_defaults.dxy)
  file(REMOVE ${CGAL_DOC_PACKAGE_DEFAULTS})
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
       "@INCLUDE = ${CGAL_DOC_DOXY_DEFAULT}\n")
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
       "OUTPUT_DIRECTORY = ${CGAL_DOC_OUTPUT_DIR}/${CGAL_PACKAGE_NAME}\n")
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS} "HTML_OUTPUT = .\n")

  if(CGAL_DOC_CREATE_LOGS)
    file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
         "WARN_LOGFILE = ${CGAL_DOC_LOG_DIR}/${CGAL_PACKAGE_NAME}.log\n")
  endif()

  if(CGAL_DOC_RELEASE)
    file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS} "GENERATE_TODOLIST = NO\n")
    file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS} "GENERATE_BUGLIST = NO\n")
  endif()

  if(EXISTS "${CGAL_PACKAGE_DIR}/examples")
    file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
         "EXAMPLE_PATH = ${CGAL_PACKAGE_DIR}/examples\n")
  endif()
  if(CGAL_GENERATE_XML)
    file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS} "GENERATE_XML = YES\n")
  endif()

  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
       "GENERATE_TAGFILE = ${CGAL_DOC_TAG_GEN_DIR}/${CGAL_PACKAGE_NAME}.tag\n")
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
       "STRIP_FROM_PATH = ${CGAL_PACKAGE_DOC_DIR}/\n")
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
       "STRIP_FROM_PATH += ${CGAL_PACKAGE_DIR}/include/\n")
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
       "STRIP_FROM_INC_PATH = ${CGAL_PACKAGE_DOC_DIR}/\n")
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
       "STRIP_FROM_INC_PATH += ${CGAL_PACKAGE_DIR}/include/\n")
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
       "ALIASES += \"cgalPkgDescriptionBegin{2}=\\details \"\n")
  file(
    APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
    "ALIASES += \"cgalPkgManuals{2}=<div class=\\\"PkgManuals\\\"></div>\"\n")
  file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS} "INPUT = ${CGAL_PACKAGE_DOC_DIR}\n")
  if(NOT EXISTS "${CGAL_PACKAGE_DOC_DIR}/CGAL")
    # This package has in-source documentation.
    if(CGAL_BRANCH_BUILD) # use the entire include subdir
      file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
           "INPUT += ${CGAL_PACKAGE_DIR}/include/\n")
    else() # use the filelist
      if(EXISTS "${CGAL_PACKAGE_DOC_DIR}/filelist.txt")
        file(STRINGS "${CGAL_PACKAGE_DOC_DIR}/filelist.txt" CGAL_PKG_FILES)
        foreach(pkg_file ${CGAL_PKG_FILES})
          file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
               "INPUT += ${CGAL_PACKAGE_DIR}/include/${pkg_file}\n")
        endforeach()
      endif()
    endif()
  endif()
  if(EXISTS "${CGAL_PACKAGE_DIR}/include/CGAL/${CGAL_PACKAGE_NAME}/internal")
    file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
        "EXCLUDE += ${CGAL_PACKAGE_DIR}/include/CGAL/${CGAL_PACKAGE_NAME}/internal\n")
  endif()

  # IMAGE_PATH is set by default. For Documentation, we generate the extra path using packages.txt
  set(IMAGE_PATHS "${CGAL_PACKAGE_DOC_DIR}/fig")
  set(DEPENDENCIES "")
  # figure out the dependencies, using the file `dependencies` or `packages.txt` for Documentation
  if(${CGAL_PACKAGE_NAME} STREQUAL "Documentation")
    set(PackageFile ${CGAL_PACKAGE_DOC_DIR}/packages.txt)
    file(STRINGS ${PackageFile} EntriesAsList REGEX "^\\\\package_listing{.+}$")
    foreach(Line ${EntriesAsList})
      string(REGEX REPLACE "^\\\\package_listing{(.+)}$" "\\1" PKG "${Line}")
      list(APPEND DEPENDENCIES ${PKG})

      if(CGAL_BRANCH_BUILD)
        set(IMG_DIR "${CGAL_ROOT}/${PKG}/doc/${PKG}/fig")
      else()
        set(IMG_DIR "${CGAL_ROOT}/doc/${PKG}/fig")
      endif()

      if(EXISTS ${IMG_DIR})
        list(APPEND IMAGE_PATHS ${IMG_DIR})
      endif()
    endforeach()
  else()
    if(EXISTS ${CGAL_PACKAGE_DOC_DIR}/dependencies)
      file(STRINGS ${CGAL_PACKAGE_DOC_DIR}/dependencies DEPENDENCIES)
    endif()
  endif()

  foreach(depend ${DEPENDENCIES})
    file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS}
         "TAGFILES += ${CGAL_DOC_TAG_DIR}/${depend}.tag=../${depend}\n")
  endforeach()

  foreach(image_path ${IMAGE_PATHS})
    file(APPEND ${CGAL_DOC_PACKAGE_DEFAULTS} "IMAGE_PATH += ${image_path}\n")
  endforeach()

  configure_file(${CGAL_PACKAGE_DOC_DIR}/Doxyfile.in
                 ${CGAL_DOC_DXY_DIR}/${CGAL_PACKAGE_NAME}.dxy)

  # TODO we also want to run html_post_process per package as a custom_command with POST_BUILD
  # target that build the doc and put the tag file in the generation directory CGAL_DOC_TAG_GEN_DIR
  add_custom_target(
    ${CGAL_PACKAGE_NAME}_internal_doxygen_run
    ${DOXYGEN_EXECUTABLE} ${CGAL_DOC_DXY_DIR}/${CGAL_PACKAGE_NAME}.dxy)

  set_target_properties(${CGAL_PACKAGE_NAME}_internal_doxygen_run
                        PROPERTIES FOLDER Documentation/Packages)

  #target moving the tag file into the read directory CGAL_DOC_TAG_DIR
  if("${CGAL_PACKAGE_NAME}" STREQUAL "Documentation")
    set(CGAL_PACKAGE_TAGFILE "Manual.tag")
  else()
    set(CGAL_PACKAGE_TAGFILE "${CGAL_PACKAGE_NAME}.tag")
  endif()
  add_custom_target(
    ${CGAL_PACKAGE_NAME}_copy_doc_tags
    ${CMAKE_COMMAND} -E copy "${CGAL_DOC_TAG_GEN_DIR}/${CGAL_PACKAGE_TAGFILE}"
    "${CGAL_DOC_TAG_DIR}/${CGAL_PACKAGE_TAGFILE}")

  #add the doc target doing both the doc generation and then the tag file copy
  add_custom_target(
    ${CGAL_PACKAGE_NAME}_doc
    ${DOXYGEN_EXECUTABLE} ${CGAL_DOC_DXY_DIR}/${CGAL_PACKAGE_NAME}.dxy
    COMMAND
      ${CMAKE_COMMAND} -E copy
      "${CGAL_DOC_TAG_GEN_DIR}/${CGAL_PACKAGE_TAGFILE}"
      "${CGAL_DOC_TAG_DIR}/${CGAL_PACKAGE_TAGFILE}")

  #     ${depend}_doc)
  # don't do this for now
  # foreach(depend ${DEPENDENCIES})
  #   add_dependencies(${CGAL_PACKAGE_NAME}_doc
  #     ${depend}_doc)
  # endforeach()
endfunction()

# set up the directories and variables
if(CGAL_DOC_MATHJAX_LOCATION)
  set(CGAL_DOC_MATHJAX_LOCATION_FULL_OPTION_LINE
      "MATHJAX_RELPATH = ${CGAL_DOC_MATHJAX_LOCATION}")
else()
  set(CGAL_DOC_MATHJAX_LOCATION
      "https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.2")
endif()

set(CGAL_DOC_OUTPUT_DIR "${CMAKE_BINARY_DIR}/doc_output")
file(MAKE_DIRECTORY "${CGAL_DOC_OUTPUT_DIR}")

option(
  CGAL_DOC_CREATE_LOGS
  "Write log files or print warnings and errors to cerr when building the doc."
  OFF)

if(CGAL_DOC_CREATE_LOGS)
  set(CGAL_DOC_LOG_DIR "${CMAKE_BINARY_DIR}/doc_log")
  file(MAKE_DIRECTORY "${CGAL_DOC_LOG_DIR}")
endif()

option(CGAL_EXTRACT_ALL_NO_DETAILED_IF_EMPTY
       "Use CGAL special doxygen setting EXTRACT_ALL_NO_DETAILED_IF_EMPTY." ON)
if(CGAL_EXTRACT_ALL_NO_DETAILED_IF_EMPTY)
  set(CGAL_OPT_EXTRACT_ALL_NO_DETAILED_IF_EMPTY
      "EXTRACT_ALL_NO_DETAILED_IF_EMPTY = YES")
else()
  # The default is NO, so we could leave it out, but it is better to have a commented out placeholder
  # this will work for versions with and without the setting.
  set(CGAL_OPT_EXTRACT_ALL_NO_DETAILED_IF_EMPTY
      "#EXTRACT_ALL_NO_DETAILED_IF_EMPTY = NO")
endif()

#we use two directories for the generation/reading of tag files to prevent issues
#if the targets are built in parallel
set(CGAL_DOC_TAG_GEN_DIR "${CMAKE_BINARY_DIR}/doc_gen_tags")
file(MAKE_DIRECTORY "${CGAL_DOC_TAG_GEN_DIR}")
set(CGAL_DOC_TAG_DIR "${CMAKE_BINARY_DIR}/doc_tags")
file(MAKE_DIRECTORY "${CGAL_DOC_TAG_DIR}")
set(CGAL_DOC_DXY_DIR "${CMAKE_BINARY_DIR}/doc_dxy")
file(MAKE_DIRECTORY "${CGAL_DOC_DXY_DIR}")

#Setting the resource directory depending on the version of doxygen
set(CGAL_DOC_RESOURCE_DIR_DEFAULT "${CMAKE_CURRENT_LIST_DIR}/resources/1.9.6")

#  first look if resources for the specific doxygen version is available, fallback
#  on the default otherwise

#select only the version number (not the commit hash)
string(REPLACE " " ";" DOXYGEN_VERSION ${DOXYGEN_VERSION})
list(GET DOXYGEN_VERSION 0 DOXYGEN_VERSION)

if(EXISTS "${CMAKE_CURRENT_LIST_DIR}/resources/${DOXYGEN_VERSION}")
  set(CGAL_DOC_RESOURCE_DIR
      "${CMAKE_CURRENT_LIST_DIR}/resources/${DOXYGEN_VERSION}")
else()
  set(CGAL_DOC_RESOURCE_DIR "${CGAL_DOC_RESOURCE_DIR_DEFAULT}")
endif()

set(CGAL_DOC_BIBLIO_DIR "${CMAKE_CURRENT_LIST_DIR}/biblio")
set(CGAL_DOC_SCRIPT_DIR "${CMAKE_CURRENT_LIST_DIR}/scripts")

set(CGAL_DOC_HEADER ${CGAL_DOC_DXY_DIR}/header.html)
configure_file(${CGAL_DOC_RESOURCE_DIR}/header.html ${CGAL_DOC_HEADER} @ONLY)
set(CGAL_DOC_HEADER_PACKAGE ${CGAL_DOC_DXY_DIR}/header_package.html)
configure_file(${CGAL_DOC_RESOURCE_DIR}/header_package.html
               ${CGAL_DOC_HEADER_PACKAGE} @ONLY)

#Generate the bibtex file
#this is needed also for BaseDoxyfile.in
string(TIMESTAMP CGAL_BUILD_YEAR4 "%Y")
string(TIMESTAMP CGAL_BUILD_YEAR2 "%y")
string(TIMESTAMP CGAL_BUILD_MONTH "%m")

if(${CGAL_BUILD_MONTH} GREATER 6)
  set(CGAL_RELEASE_YEAR_ID "${CGAL_BUILD_YEAR2}b")
else()
  set(CGAL_RELEASE_YEAR_ID "${CGAL_BUILD_YEAR2}a")
endif()

if(NOT CGAL_CREATED_VERSION_NUM)
  if(CGAL_BRANCH_BUILD)
    include(${CGAL_ROOT}/CGALConfigVersion.cmake)

    if(CGAL_BUGFIX_VERSION AND CGAL_BUGFIX_VERSION GREATER 0)
      set(CGAL_CREATED_VERSION_NUM
          "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}.${CGAL_BUGFIX_VERSION}")
    else()
      set(CGAL_CREATED_VERSION_NUM
          "${CGAL_MAJOR_VERSION}.${CGAL_MINOR_VERSION}")
    endif()
  else()
    if(EXISTS "${CGAL_ROOT}/doc/public_release_name")
      file(STRINGS "${CGAL_ROOT}/doc/public_release_name" CGAL_VERSION_LINE)
      string(REGEX REPLACE "CGAL-" "" CGAL_CREATED_VERSION_NUM
                           "${CGAL_VERSION_LINE}")
    else()
      #read version.h and get the line with CGAL_VERSION
      file(STRINGS "${CGAL_ROOT}/include/CGAL/version.h" CGAL_VERSION_LINE
           REGEX "CGAL_VERSION ")
      #extract release id
      string(REGEX MATCH "[0-9]+\\.[0-9]+\\.?[0-9]*" CGAL_CREATED_VERSION_NUM
                   "${CGAL_VERSION_LINE}")
    endif()
  endif()
endif()

# Introduce our own version variable. This way we avoid tying this too
# closely to the convoluted versioning code and can adapt without a
# huge diff.
set(CGAL_DOC_VERSION ${CGAL_CREATED_VERSION_NUM})

## generate how_to_cite files
execute_process(
  COMMAND ${Python3_EXECUTABLE} ${CGAL_DOC_SCRIPT_DIR}/generate_how_to_cite.py
          ${CGAL_ROOT} ${CMAKE_BINARY_DIR} "${CGAL_BRANCH_BUILD}"
  RESULT_VARIABLE GENERATE_HOW_TO_CITE_RESULT)
if(NOT GENERATE_HOW_TO_CITE_RESULT EQUAL "0")

=== Installation/test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(CGAL_TESTS)

if(CGAL_BRANCH_BUILD)

  foreach(package ${CGAL_CONFIGURED_PACKAGES})
    #message (STATUS "Current package: ${package}")
    file(GLOB listtmp "${package}/test/*")
    list(APPEND list ${listtmp})
  endforeach()

else()

  file(GLOB list "*")

endif()

list(SORT list)

find_package(CGAL REQUIRED)
include(${CGAL_MODULES_DIR}/CGAL_Macros.cmake)

message("== Generating build files for tests ==")
foreach(entry ${list})

  if(NOT ${entry} MATCHES ".*\\.svn\$" AND IS_DIRECTORY ${entry})

    file(GLOB files "${entry}/*.cpp")

    # If there is no .cpp files, ignore the sub-directory
    if(files)
      process_cgal_subdirectory("${entry}" test test)
      # Note: process_CGAL_subdirectory is defined in cmake/modules/CGAL_Macros.cmake
    endif()

  endif()

endforeach()
message("== Generating build files for tests (DONE) ==\n")

=== Surface_mesh/benchmark/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(Surface_mesh_performance)

find_package(CGAL REQUIRED)

# For profilling with gprof
#add_definitions("-pg")
#SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -pg")
# add_definitions("-g")
add_definitions("-std=c++1y")

# Polyhedron
add_executable(polyhedron_performance performance_2.h polyhedron_performance.h
                                      polyhedron_performance.cpp)
target_link_libraries(polyhedron_performance PRIVATE ${CGAL_LIBRARIES})

# LCC_2
add_executable(lcc_performance_2 performance_2.h lcc_performance_2.h
                                 lcc_performance_2.cpp)
target_link_libraries(lcc_performance_2 PRIVATE ${CGAL_LIBRARIES})

# Surface_mesh
add_executable(
  surface_mesh_performance performance_2.h surface_mesh_performance.h
                           surface_mesh_performance.cpp)

# Performance_2
add_executable(
  performance_2 performance_2.cpp performance_2.h polyhedron_performance.h
                surface_mesh_performance.h lcc_performance_2.h)

target_link_libraries(performance_2 PRIVATE ${CGAL_LIBRARIES})

create_single_source_cgal_program("sm_sms.cpp")
create_single_source_cgal_program("poly_sms.cpp")

=== AABB_tree/benchmark/AABB_tree/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(AABB_traits_benchmark)

find_package(CGAL REQUIRED OPTIONAL_COMPONENTS Core)

create_single_source_cgal_program("test.cpp")
create_single_source_cgal_program("tree_construction.cpp")

# google benchmark
find_package(benchmark QUIET)
if(benchmark_FOUND)
  create_single_source_cgal_program("tree_creation.cpp")
  target_link_libraries(tree_creation benchmark::benchmark)
else()
  message(STATUS "NOTICE: The benchmark 'tree_creation.cpp' requires the Google benchmark library, and will not be compiled.")
endif()

=== AABB_tree/test/AABB_tree/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(AABB_tree_Tests)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== Advancing_front_surface_reconstruction/test/Advancing_front_surface_reconstruction/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Advancing_front_surface_reconstruction_Tests)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== Algebraic_foundations/test/Algebraic_foundations/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Algebraic_foundations_Tests)

find_package(CGAL REQUIRED COMPONENTS Core)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== Algebraic_kernel_d/test/Algebraic_kernel_d/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1...3.23)
project(Algebraic_kernel_d_Tests)

# CGAL and its components
find_package(CGAL REQUIRED COMPONENTS Core)

find_package(MPFI QUIET)
if(MPFI_FOUND)
  message(STATUS "Found MPFI")
  include(${MPFI_USE_FILE})
endif()

find_package(RS3 QUIET)
if(RS3_FOUND)
  message(STATUS "Found RS3")
  include(${RS3_USE_FILE})
endif()

# include for local directory
include_directories(BEFORE include)

create_single_source_cgal_program("cyclic.cpp")
create_single_source_cgal_program("Descartes.cpp")

if(NOT CGAL_DISABLE_GMP)
  create_single_source_cgal_program("Algebraic_curve_kernel_2.cpp")
  create_single_source_cgal_program("algebraic_curve_kernel_2_tools.cpp")
  create_single_source_cgal_program("Algebraic_kernel_d_1_LEDA.cpp")

  create_single_source_cgal_program("Algebraic_kernel_d_1_CORE_Integer_rational.cpp")
  create_single_source_cgal_program("Algebraic_kernel_d_1_CORE_SqrtII_rational.cpp")
  create_single_source_cgal_program("Algebraic_kernel_d_1_CORE_SqrtRI_rational.cpp")
  create_single_source_cgal_program("Algebraic_kernel_d_1_CORE_SqrtRR_rational.cpp")

  create_single_source_cgal_program("Algebraic_kernel_d_1_GMP.cpp")
  create_single_source_cgal_program("Algebraic_kernel_d_2.cpp")
  create_single_source_cgal_program("Algebraic_real_d_1.cpp")
  create_single_source_cgal_program("Bitstream_descartes.cpp")
  create_single_source_cgal_program("Curve_analysis_2.cpp")
  create_single_source_cgal_program("Curve_pair_analysis_2.cpp")
  create_single_source_cgal_program("Real_embeddable_traits_extension.cpp")

  if(RS_FOUND)
    create_single_source_cgal_program("Algebraic_kernel_rs_gmpq_d_1.cpp")
    create_single_source_cgal_program("Algebraic_kernel_rs_gmpz_d_1.cpp")
  else()
    message(STATUS "NOTICE: Some tests require the RS library, and will not be compiled.")
  endif()
else()
  message(STATUS "NOTICE: Some tests require GMP support, and will not be compiled.")
endif()

=== Algebraic_kernel_for_circles/test/Algebraic_kernel_for_circles/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Algebraic_kernel_for_circles_Tests)

find_package(CGAL REQUIRED)

include_directories(BEFORE "include")

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== Algebraic_kernel_for_spheres/test/Algebraic_kernel_for_spheres/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Algebraic_kernel_for_spheres_Tests)

find_package(CGAL REQUIRED)

include_directories(BEFORE "include")

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== Alpha_shapes_2/test/Alpha_shapes_2/CMakeLists.txt ===
# Created by the script cgal_create_cmake_script
# This is the CMake script for compiling a CGAL application.

cmake_minimum_required(VERSION 3.1...3.23)
project(Alpha_shapes_2_Tests)

find_package(CGAL REQUIRED)

# create a target per cppfile
file(
  GLOB cppfiles
  RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/*.cpp)
foreach(cppfile ${cppfiles})
  create_single_source_cgal_program("${cppfile}")
endforeach()

=== Maintenance/deb/sid/debian/changelog ===
cgal (4.1-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package libcgal9 to libcgal10 to reflect SONAME change.
  * Configure CGAL using -DCGAL_ENABLE_PRECONFIG=OFF since we do not want
    that the accidental presence of optional libraries (for demos and
    examples) influences the build of the library.
  * Move the Qt4 support library and the corresponding headers into new
    binary packages libcgal-qt4-10 and libcgal-qt4-dev (Closes: #683214).
  * Add libboost-system-dev to Builds-Depends: of cgal.
  * Move libmpfi-dev from Suggests: of cgal-demo to Build-Depends: of cgal.

 -- Joachim Reichel <reichel@debian.org>  Wed, 24 Oct 2012 19:08:35 +0200

cgal (4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Remove gcc-4.7 patch (fixed upstream).

 -- Joachim Reichel <reichel@debian.org>  Wed, 04 Jul 2012 19:45:28 +0200

cgal (4.0-4) unstable; urgency=low

  * Add Suggests: libeigen3-dev (>= 3.1.0~beta1-1), libmpfi-dev to
    libcgal-demo.

 -- Joachim Reichel <reichel@debian.org>  Tue, 12 Jun 2012 23:53:14 +0200

cgal (4.0-3) unstable; urgency=low

  * Change Build-Depends: debhelper (>= 8) to debhelper (>= 9), update
    debian/compat to get the default build flags for hardening. Inject
    CPPFLAGS into CFLAGS and CXXFLAGS, since CPPFLAGS is ignored by cmake.
  * Add lintian override to silence incorrect warnings about
    hardening-no-fortify-functions for some libraries (all libraries are
    built with the same flags).

 -- Joachim Reichel <reichel@debian.org>  Sun, 10 Jun 2012 15:36:27 +0200

cgal (4.0-2) unstable; urgency=low

  * Add patch gcc-4.7 to fix a syntax error in template code which is
    not instantiated during the package build itself (Closes: #673554).
  * Fix debian/watch.

 -- Joachim Reichel <reichel@debian.org>  Sun, 20 May 2012 22:47:56 +0200

cgal (4.0-1) unstable; urgency=low

  * New upstream release.
  * Move from non-free to main due to upstream license change from QPL
    to GPL 3+ (and from LGPL 2.1 to LGPL 3+), updated debian/copyright
    accordingly.
  * Rename binary package libcgal8 to libcgal9 to reflect SONAME change.
  * Update Standards-Version to 3.9.3 (no changes needed).
  * Remove fix-ipe-version-detection.dpatch and
    fix-qt-moc-parse-error.dpatch (fixed upstream).
  * Removed libmagick++9-dev from Suggests: of libcgal-demo, because
    that package does no longer exists.

 -- Joachim Reichel <reichel@debian.org>  Mon, 12 Mar 2012 19:14:55 +0100

cgal (3.9-4) unstable; urgency=low

  * Rebuild against boost 1.48 (Closes: #659358).
  * Add fix-qt-moc-parse-error.dpatch as workaround for
    https://bugreports.qt-project.org/browse/QTBUG-22829.

 -- Joachim Reichel <reichel@debian.org>  Fri, 10 Feb 2012 22:41:26 +0100

cgal (3.9-3) unstable; urgency=low

  * Fix FTBFS when building only architecture dependent packages caused
    by recent transition to the new packaging format (Closes: #658191).

 -- Joachim Reichel <reichel@debian.org>  Wed, 01 Feb 2012 00:07:03 +0100

cgal (3.9-2) unstable; urgency=low

  * Changed packaging format to "3.0 (quilt)".
  * Add fix-ipe-version-detection.dpatch: upstream patch for bug #643278.
    Remove workaround.
  * Tighten Depends: of libcgal-ipelets on ipe (Closes: #657720).
  * Move libcgal-ipelets to Section: graphics.
  * Add libqt4-opengl-dev to Suggests: of libcgal-demo.

 -- Joachim Reichel <reichel@debian.org>  Mon, 30 Jan 2012 19:04:18 +0100

cgal (3.9-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package libcgal7 to libcgal8 to reflect SONAME change.
  * Add workaround for bug #643278.

 -- Joachim Reichel <reichel@debian.org>  Wed, 28 Sep 2011 19:51:35 +0200

cgal (3.8-1) unstable; urgency=low

  * New upstream release.
  * Rename binary package libcgal6 to libcgal7 to reflect SONAME change.
  * Update Standards-Version to 3.9.2 (no changes needed).

 -- Joachim Reichel <reichel@debian.org>  Thu, 21 Apr 2011 18:45:25 +0200

cgal (3.7-5) unstable; urgency=low

  * Upload to unstable.

 -- Joachim Reichel <reichel@debian.org>  Sun, 06 Mar 2011 17:26:11 +0100

cgal (3.7-4) experimental; urgency=low

  * Build with libgmp10 (Closes: #614797). Thanks to Christian M. Amsüss.

 -- Joachim Reichel <reichel@debian.org>  Sun, 27 Feb 2011 16:36:22 +0100

cgal (3.7-3) unstable; urgency=low

  * Disable support for Qt3 because Qt3 has been removed from the repository
    (Closes: #604478).

 -- Joachim Reichel <reichel@debian.org>  Thu, 10 Feb 2011 21:06:09 +0100

cgal (3.7-2) unstable; urgency=low

  * Upload to unstable.

 -- Joachim Reichel <reichel@debian.org>  Sun, 06 Feb 2011 13:53:00 +0100

cgal (3.7-1) experimental; urgency=low

  * New upstream release.
  * Rename binary package libcgal5 to libcgal6 to reflect SONAME change.
  * Rename binary package libcgal5-ipelets to libcgal-ipelets because it is
    not possible to install the ipelets for different SONAMEs in parallel.
  * Remove ipe-default-to-version-7.dpatch: the Ipe version is now
    auto-detected.
  * Remove fix-core-64bit.dpatch (fixed upstream).
  * Add qt4-dev-tools to Suggests: of libcgal-demo for qcollectiongenerator.
  * Update Standards-Version to 3.9.1 (-D_REENTRANT no longer needed).

 -- Joachim Reichel <reichel@debian.org>  Sun, 17 Oct 2010 14:27:54 +0200

cgal (3.6.1-2) unstable; urgency=low

  * Add fix-core-64bit.dpatch: use CORE::CHUNK_BIT instead of hard-coded
    constant 14.

 -- Joachim Reichel <reichel@debian.org>  Tue, 24 Aug 2010 19:46:36 +0200

cgal (3.6.1-1) unstable; urgency=low

  * New upstream release.
  * Set SOVERSION explicitly to 5.0.1 as told by upstream.
  * Remove architecture exceptions from Suggests: for libcgal-demo which is no
    longer allowed by dpkg-gencontrol (see #560071).
  * Fix debian/watch file.
  * Change license of packaging to LGPL 2.1 or later because referencing the
    BSD license in /usr/share/common-licenses is deprecated.
  * Update Standards-Version to 3.9.0 (no changes needed).



=== Maintenance/deb/squeeze/debian/changelog ===
cgal (4.1-1~squeeze1) stable; urgency=low

  * New upstream release.
  * Rename binary package libcgal9 to libcgal10 to reflect SONAME change.
  * Configure CGAL using -DCGAL_ENABLE_PRECONFIG=OFF since we do not want
    that the accidental presence of optional libraries (for demos and
    examples) influences the build of the library.
  * Move the Qt4 support library and the corresponding headers into new
    binary packages libcgal-qt4-10 and libcgal-qt4-dev (Closes: #683214).
  * Add libboost-system-dev to Builds-Depends: of cgal.
  * Move libmpfi-dev from Suggests: of cgal-demo to Build-Depends: of cgal.

 -- Joachim Reichel <reichel@debian.org>  Wed, 24 Oct 2012 19:08:35 +0200

=== Maintenance/deb/wheezy/debian/changelog ===
cgal (4.1-1~wheezy1) testing; urgency=low

  * New upstream release.
  * Rename binary package libcgal9 to libcgal10 to reflect SONAME change.
  * Configure CGAL using -DCGAL_ENABLE_PRECONFIG=OFF since we do not want
    that the accidental presence of optional libraries (for demos and
    examples) influences the build of the library.
  * Move the Qt4 support library and the corresponding headers into new
    binary packages libcgal-qt4-10 and libcgal-qt4-dev (Closes: #683214).
  * Add libboost-system-dev to Builds-Depends: of cgal.
  * Move libmpfi-dev from Suggests: of cgal-demo to Build-Depends: of cgal.

 -- Joachim Reichel <reichel@debian.org>  Wed, 24 Oct 2012 19:08:35 +0200

=== Maintenance/deb/sid/debian/control ===
Source: cgal
Priority: optional
Maintainer: Joachim Reichel <reichel@debian.org>
# "ipe" is only needed because it contains goodies.lua which is needed by FindIPE.cmake
Build-Depends: debhelper (>= 9), dpkg-awk, cmake, zlib1g-dev, libboost-dev, 
 libboost-thread-dev, libboost-program-options-dev, libboost-system-dev,
 libgmp10-dev, libmpfr-dev, libmpfi-dev, libqt4-dev, libqt4-opengl-dev, 
 libipe-dev (>= 7), ipe
Standards-Version: 3.9.3
Section: libs
Homepage: https://www.cgal.org/
XS-Autobuild: yes

Package: libcgal10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computational geometry
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 The CGAL library contains:
  - the Kernel with geometric primitives such as points, vectors, lines,
    predicates for testing things such as relative positions of points, and
    operations such as intersections and distance calculation.
  - the Basic Library which is a collection of standard data structures and
    geometric algorithms, such as convex hull in 2D/3D, (Delaunay)
    triangulation in 2D/3D, planar map, polyhedron, smallest enclosing circle,
    and multidimensional query structures.
  - the Support Library which offers interfaces to other packages, e.g., for
    visualisation, and I/O, and other support facilities.
 .
 This package contains the main library libCGAL.so as well as two support
 libraries libCGAL_Core.so (from the CORE project) and libCGAL_ImageIO.so
 (image I/O). The library libCGAL_Qt4.so used for visualization in demos
 can be found in the package libcgal-qt4-10.

Package: libcgal-qt4-10
Architecture: any
Depends: libcgal10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computational geometry (support for Qt4)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 The CGAL library contains:
  - the Kernel with geometric primitives such as points, vectors, lines,
    predicates for testing things such as relative positions of points, and
    operations such as intersections and distance calculation.
  - the Basic Library which is a collection of standard data structures and
    geometric algorithms, such as convex hull in 2D/3D, (Delaunay)
    triangulation in 2D/3D, planar map, polyhedron, smallest enclosing circle,
    and multidimensional query structures.
  - the Support Library which offers interfaces to other packages, e.g., for
    visualisation, and I/O, and other support facilities.
 .
 This package contains libCGAL_Qt4.so used for visualization in demos.

Package: libcgal-dev
Section: libdevel
Architecture: any
Depends: libcgal10 (= ${binary:Version}), libboost-dev, libboost-thread-dev,
 libboost-program-options-dev, libgmp10-dev, libmpfr-dev, zlib1g-dev, ${misc:Depends}
Description: C++ library for computational geometry (development files)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files and static libraries for libCGAL.so,
 libCGAL_Core.so, and libCGAL_ImageIO.so. The  header files and static
 libraries for libCGAL_Qt4.so can be found in the package libcgal-qt4-dev.

Package: libcgal-qt4-dev
Section: libdevel
Architecture: any
Depends: libcgal10 (= ${binary:Version}), libcgal-qt4-10 (= ${binary:Version}),
 libcgal-dev, libqt4-dev, ${misc:Depends}
Description: C++ library for computational geometry (development files, support for Qt4)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files and static libraries for
 libCGAL_Qt.so.

Package: libcgal-demo
Section: devel
Architecture: all
Depends: libcgal-dev (>= ${binary:Version}), libcgal10 (>= ${binary:Version}),
 ${misc:Depends}
Recommends: libcgal-qt4-dev (>= ${binary:Version}), libcgal10-qt4 (>= ${binary:Version})
Suggests: liblapack-dev, libatlas-base-dev | libatlas.so.3gf, gfortran,
 geomview, libqglviewer-qt4-dev, libipe-dev (>= 7), libglew1.5-dev | libglew-dev,
 libmagick++-dev, qt4-dev-tools, libqt4-opengl-dev, libeigen3-dev (>= 3.1.0~beta1-1)
Description: C++ library for computational geometry (demos)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the demos and examples.

Package: libcgal-ipelets
Section: graphics
Architecture: any
Depends: libcgal10 (>= ${binary:Version}), ipe (>= ${Ipe-Version}), ipe (<< ${Ipe-Version}+),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcgal5-ipelets
Replaces: libcgal5-ipelets
Description: C++ library for computational geometry (ipelets)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the ipelets, i.e., plugins for ipe.

=== Maintenance/deb/squeeze/debian/control ===
Source: cgal
Priority: optional
Maintainer: Joachim Reichel <reichel@debian.org>
# "ipe" is only needed because it contains goodies.lua which is needed by FindIPE.cmake
Build-Depends: debhelper (>= 8), dpkg-awk, cmake, zlib1g-dev, libboost-dev, 
 libboost-thread-dev, libboost-program-options-dev, libboost-system-dev,
 libgmp3-dev, libmpfr-dev, libmpfi-dev, libqt4-dev, libqt4-opengl-dev, 
 libipe-dev (>= 7), ipe
Standards-Version: 3.9.1
Section: libs
Homepage: https://www.cgal.org/
XS-Autobuild: yes

Package: libcgal10
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computational geometry
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 The CGAL library contains:
  - the Kernel with geometric primitives such as points, vectors, lines,
    predicates for testing things such as relative positions of points, and
    operations such as intersections and distance calculation.
  - the Basic Library which is a collection of standard data structures and
    geometric algorithms, such as convex hull in 2D/3D, (Delaunay)
    triangulation in 2D/3D, planar map, polyhedron, smallest enclosing circle,
    and multidimensional query structures.
  - the Support Library which offers interfaces to other packages, e.g., for
    visualisation, and I/O, and other support facilities.
 .
 This package contains the main library libCGAL.so as well as two support
 libraries libCGAL_Core.so (from the CORE project) and libCGAL_ImageIO.so
 (image I/O). The library libCGAL_Qt4.so used for visualization in demos
 can be found in the package libcgal-qt4-10.

Package: libcgal-qt4-10
Architecture: any
Depends: libcgal10 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: C++ library for computational geometry (support for Qt4)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 The CGAL library contains:
  - the Kernel with geometric primitives such as points, vectors, lines,
    predicates for testing things such as relative positions of points, and
    operations such as intersections and distance calculation.
  - the Basic Library which is a collection of standard data structures and
    geometric algorithms, such as convex hull in 2D/3D, (Delaunay)
    triangulation in 2D/3D, planar map, polyhedron, smallest enclosing circle,
    and multidimensional query structures.
  - the Support Library which offers interfaces to other packages, e.g., for
    visualisation, and I/O, and other support facilities.
 .
 This package contains libCGAL_Qt4.so used for visualization in demos.

Package: libcgal-dev
Section: libdevel
Architecture: any
Depends: libcgal10 (= ${binary:Version}), libboost-dev, libboost-thread-dev,
 libboost-program-options-dev, libgmp3-dev, libmpfr-dev, zlib1g-dev, ${misc:Depends}
Description: C++ library for computational geometry (development files)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files and static libraries for libCGAL.so,
 libCGAL_Core.so, and libCGAL_ImageIO.so. The  header files and static
 libraries for libCGAL_Qt4.so can be found in the package libcgal-qt4-dev.

Package: libcgal-qt4-dev
Section: libdevel
Architecture: any
Depends: libcgal10 (= ${binary:Version}), libcgal-qt4-10 (= ${binary:Version}),
 libcgal-dev, libqt4-dev, ${misc:Depends}
Description: C++ library for computational geometry (development files, support for Qt4)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the header files and static libraries for
 libCGAL_Qt.so.

Package: libcgal-demo
Section: devel
Architecture: all
Depends: libcgal-dev (>= ${binary:Version}), libcgal10 (>= ${binary:Version}),
 ${misc:Depends}
Recommends: libcgal-qt4-dev (>= ${binary:Version}), libcgal10-qt4 (>= ${binary:Version})
Suggests: liblapack-dev, libatlas-base-dev | libatlas.so.3gf, gfortran,
 geomview, libqglviewer-qt4-dev, libipe-dev (>= 7), libglew1.5-dev | libglew-dev,
 libmagick++-dev, qt4-dev-tools, libqt4-opengl-dev, libeigen3-dev (>= 3.1.0~beta1-1)
Description: C++ library for computational geometry (demos)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the demos and examples.

Package: libcgal-ipelets
Section: graphics
Architecture: any
Depends: libcgal10 (>= ${binary:Version}), ipe (>= ${Ipe-Version}), ipe (<< ${Ipe-Version}+),
 ${shlibs:Depends}, ${misc:Depends}
Conflicts: libcgal5-ipelets
Replaces: libcgal5-ipelets
Description: C++ library for computational geometry (ipelets)
 CGAL (Computational Geometry Algorithms Library) makes the most important
 of the solutions and methods developed in computational geometry available
 to users in industry and academia in a C++ library. The goal is to provide
 easy access to useful, reliable geometric algorithms.
 .
 This package contains the ipelets, i.e., plugins for ipe.

=== Maintenance/deb/sid/debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

# See https://wiki.debian.org/Hardening#Notes_for_packages_using_CMake
CFLAGS   := $(CFLAGS) $(CPPFLAGS)
CXXFLAGS := $(CXXFLAGS) $(CPPFLAGS)

# The build system links all four libraries against all dependencies.
LDFLAGS  += -Wl,--as-needed

ifeq ($(DEB_BUILD_ARCH),alpha)
  IEEE_FPU_OPTION = -mieee -mfp-rounding-mode=d
endif

%:
	dh $@

override_dh_auto_configure:
	mkdir -p static
	cd static && QTDIR= cmake .. \
	  -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release \
	  -DWITH_CGAL_Qt3=OFF -DWITH_demos=OFF -DWITH_examples=OFF \
	  -DCGAL_ENABLE_PRECONFIG=OFF -DBUILD_SHARED_LIBS=FALSE
	mkdir -p shared
	cd shared && QTDIR= cmake .. \
	  -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release \
	  -DWITH_CGAL_Qt3=OFF -DWITH_demos=OFF -DWITH_examples=OFF \
	  -DCGAL_ENABLE_PRECONFIG=OFF -DBUILD_SHARED_LIBS=TRUE -DCMAKE_SKIP_RPATH=TRUE
	mkdir -p shared/demo/CGAL_ipelets
	cd shared/demo/CGAL_ipelets && QTDIR= cmake ../../../demo/CGAL_ipelets \
	  -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release \
	  -DCGAL_DIR=$(CURDIR)/shared

override_dh_auto_build:
	$(MAKE) -C static
	$(MAKE) -C shared
	$(MAKE) -C shared/demo/CGAL_ipelets

override_dh_auto_test:
ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C debian/tests IEEE_FPU_OPTION="$(IEEE_FPU_OPTION)" rounding_modes1
	LD_LIBRARY_PATH=shared/lib debian/tests/rounding_modes1
	$(MAKE) -C debian/tests IEEE_FPU_OPTION="$(IEEE_FPU_OPTION)" rounding_modes2
	LD_LIBRARY_PATH=shared/lib debian/tests/rounding_modes2
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -fr shared static

override_dh_install:
	$(MAKE) -C static DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C shared DESTDIR=$(CURDIR)/debian/tmp install
	$(MAKE) -C shared/demo/CGAL_ipelets DESTDIR=$(CURDIR)/debian/tmp install

	mkdir -p debian/tmp/usr/share/cmake-2.8/Modules
	cp cmake/modules/FindCGAL.cmake debian/tmp/usr/share/cmake-2.8/Modules

	mv debian/tmp/usr/share/doc/CGAL-`cat VERSION` debian/tmp/usr/share/doc/cgal
	mv debian/tmp/usr/share/doc/cgal/CHANGES debian/tmp/usr/share/doc/cgal/changelog
	rm debian/tmp/usr/share/doc/cgal/LICENSE*
	rm debian/tmp/usr/share/doc/cgal/AUTHORS

	tar cf - examples | gzip --best >debian/tmp/usr/share/doc/cgal/examples.tar.gz
	tar cf - demo | gzip --best >debian/tmp/usr/share/doc/cgal/demo.tar.gz

	rm debian/tmp/usr/bin/cgal_make_macosx_app

	dh_install --sourcedir=debian/tmp --list-missing

	mkdir -p  debian/libcgal-qt4-dev/usr/include/CGAL
	mv debian/libcgal-dev/usr/include/CGAL/Qt debian/libcgal-qt4-dev/usr/include/CGAL

	mkdir -p debian/libcgal-qt4-10/usr/share/doc
	ln -s libcgal10 debian/libcgal-qt4-10/usr/share/doc/libcgal-qt4-10
	mkdir -p debian/libcgal-dev/usr/share/doc
	ln -s libcgal10 debian/libcgal-dev/usr/share/doc/libcgal-dev
	mkdir -p debian/libcgal-qt4-dev/usr/share/doc
	ln -s libcgal10 debian/libcgal-qt4-dev/usr/share/doc/libcgal-qt4-dev
	mkdir -p debian/libcgal-demo/usr/share/doc
	ln -s libcgal10 debian/libcgal-demo/usr/share/doc/libcgal-demo
	mkdir -p debian/libcgal-ipelets/usr/share/doc
	ln -s libcgal10 debian/libcgal-ipelets/usr/share/doc/libcgal-ipelets

override_dh_installdocs:
	dh_installdocs -plibcgal10 debian/copyright

override_dh_installchangelogs:
	dh_installchangelogs -plibcgal10

override_dh_shlibdeps: # TODO Is that really needed?
	dh_shlibdeps -a -ldebian/libcgal10/usr/lib

override_dh_gencontrol:
	dh_gencontrol -- -VIpe-Version=`dpkg-awk 'Package:^ipe$$' -- Version | grep Version | sed 's/Version: //;s/-[^-]*$$//'`
